// BDate.java

package org.objectweb.jonas.jtests.beans.ebasic;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

/**
 * BDate remote interface
 */
public interface BDate extends EJBObject {
    public int getField1() throws RemoteException;
    public void setField1(int f1) throws RemoteException;

    public int getField2() throws RemoteException;
    public void setField2(int f2) throws RemoteException;

    public java.util.Date getField3() throws RemoteException;
    public void setField3(java.util.Date f3) throws RemoteException;


}
